Index: tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-select-all-atoms.at
===================================================================
--- tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-select-all-atoms.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-select-all-atoms.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -2,5 +2,5 @@
 
 AT_SETUP([Selection - All Atoms])
-AT_KEYWORDS([selection])
+AT_KEYWORDS([selection,select-all-atoms])
 
 file=allatoms.xyz
@@ -14,5 +14,5 @@
 
 AT_SETUP([Selection - All Atoms with Undo])
-AT_KEYWORDS([selection])
+AT_KEYWORDS([selection,select-all-atoms,undo])
 
 file=allatoms.xyz
@@ -26,5 +26,5 @@
 
 AT_SETUP([Selection - All Atoms with Redo])
-AT_KEYWORDS([selection])
+AT_KEYWORDS([selection,select-all-atoms,redo])
 
 file=allatoms.xyz
Index: tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-unselect-all-atoms.at
===================================================================
--- tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-unselect-all-atoms.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AllAtoms/testsuite-selection-unselect-all-atoms.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - All Atoms])
-AT_KEYWORDS([unselection])
+AT_KEYWORDS([unselection,unselect-all-atoms])
 
 file=box.xyz
@@ -15,5 +15,5 @@
 
 AT_SETUP([Unselection - All Atoms with Undo])
-AT_KEYWORDS([unselection])
+AT_KEYWORDS([unselection,unselect-all-atoms,undo])
 
 file=id0_missing.xyz
@@ -27,5 +27,5 @@
 
 AT_SETUP([Unselection - All Atoms with Redo])
-AT_KEYWORDS([unselection])
+AT_KEYWORDS([unselection,unselect-all-atoms,undo])
 
 file=box.xyz
Index: tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-select-all-atoms-of-molecule.at
===================================================================
--- tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-select-all-atoms-of-molecule.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-select-all-atoms-of-molecule.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -2,5 +2,5 @@
 
 AT_SETUP([Selection - All atoms of selected molecules])
-AT_KEYWORDS([selection])
+AT_KEYWORDS([selection,select-molecules-atoms])
 
 file=molecule0.xyz
@@ -20,5 +20,5 @@
 
 AT_SETUP([Selection - All atoms of selected molecules with Undo])
-AT_KEYWORDS([selection])
+AT_KEYWORDS([selection,select-molecules-atoms,undo])
 
 file=molecule0.xyz
@@ -38,5 +38,5 @@
 
 AT_SETUP([Selection - All atoms of selected molecules with Redo])
-AT_KEYWORDS([selection])
+AT_KEYWORDS([selection,select-molecules-atoms,redo])
 
 file=molecule0.xyz
Index: tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-unselect-all-atoms-of-molecule.at
===================================================================
--- tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-unselect-all-atoms-of-molecule.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AllAtomsOfMolecule/testsuite-selection-unselect-all-atoms-of-molecule.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - All atoms of selected molecules])
-AT_KEYWORDS([unselection])
+AT_KEYWORDS([unselection,unselect-molecules-atoms])
 
 file=molecule0.xyz
@@ -21,5 +21,5 @@
 
 AT_SETUP([Unselection - All atoms of selected molecules with Undo])
-AT_KEYWORDS([unselection])
+AT_KEYWORDS([unselection,unselect-molecules-atoms,undo])
 
 file=molecule0.xyz
@@ -39,5 +39,5 @@
 
 AT_SETUP([Unselection - All atoms of selected molecules with Redo])
-AT_KEYWORDS([unselection])
+AT_KEYWORDS([unselection,unselect-molecules-atoms,redo])
 
 file=molecule0.xyz
Index: tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-select-atoms-by-element.at
===================================================================
--- tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-select-atoms-by-element.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-select-atoms-by-element.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 # select element by atomic number: 1, 4
 AT_SETUP([Selection - All atoms with specific element by atomic number])
-AT_KEYWORDS([selection,atom,element,atomic number])
+AT_KEYWORDS([selection,atom,element,select-atom-by-element])
 
 file=test-H_missing.xyz
@@ -21,5 +21,5 @@
 
 AT_SETUP([Selection - All atoms with specific element by symbol with Undo])
-AT_KEYWORDS([element,symbol])
+AT_KEYWORDS([selection,atom,element,select-atom-by-element,undo])
 
 file=test.xyz
@@ -38,5 +38,5 @@
 
 AT_SETUP([Selection - All atoms with specific element by symbol with Redo])
-AT_KEYWORDS([element,symbol])
+AT_KEYWORDS([selection,atom,element,select-atom-by-element,redo])
 
 file=test-H_missing.xyz
Index: tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-unselect-atoms-by-element.at
===================================================================
--- tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-unselect-atoms-by-element.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AtomByElement/testsuite-selection-unselect-atoms-by-element.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -4,5 +4,5 @@
 # select element by atomic number: 1, 4
 AT_SETUP([Unselection - All atoms with specific element by atomic number])
-AT_KEYWORDS([unselection,atom,element,atomic number])
+AT_KEYWORDS([unselection,atom,element,unselect-atom-by-element])
 
 file=test-H_present.xyz
@@ -22,5 +22,5 @@
 
 AT_SETUP([Unselection - All atoms with specific element by symbol with Undo])
-AT_KEYWORDS([element,symbol])
+AT_KEYWORDS([unselection,atom,element,unselect-atom-by-element,undo])
 
 file=test.xyz
@@ -39,5 +39,5 @@
 
 AT_SETUP([Unselection - All atoms with specific element by symbol with Redo])
-AT_KEYWORDS([element,symbol])
+AT_KEYWORDS([unselection,atom,element,unselect-atom-by-element,redo])
 
 file=test-H_present.xyz
Index: tests/regression/Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id.at
===================================================================
--- tests/regression/Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AtomById/testsuite-selection-select-atom-by-id.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -2,5 +2,5 @@
 
 AT_SETUP([Selection - atom with specific id])
-AT_KEYWORDS([selection,id,atom])
+AT_KEYWORDS([selection,id,atom,select-atom-by-id])
 # go through all possible ids (0-7) and removed
 i=0
@@ -18,5 +18,5 @@
 
 AT_SETUP([Selection - atom with specific id with Undo])
-AT_KEYWORDS([selection,id,atom])
+AT_KEYWORDS([selection,id,atom,select-atom-by-id,undo])
 # go through all possible ids (0-7) and removed
 i=0
@@ -34,5 +34,5 @@
 
 AT_SETUP([Selection - atom with specific id with Redo])
-AT_KEYWORDS([selection,id,atom])
+AT_KEYWORDS([selection,id,atom,select-atom-by-id,redo])
 # go through all possible ids (0-7) and removed
 i=0
Index: tests/regression/Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id.at
===================================================================
--- tests/regression/Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - atom with specific id])
-AT_KEYWORDS([unselection,id,atom])
+AT_KEYWORDS([unselection,id,atom,unselect-atom-by-id])
 # go through all possible ids (0-7) and remove others
 i=0
@@ -19,5 +19,5 @@
 
 AT_SETUP([Unselection - atom with specific id with Undo])
-AT_KEYWORDS([unselection,id,atom])
+AT_KEYWORDS([unselection,id,atom,unselect-atom-by-id,undo])
 # go through all possible ids (0-7) and remove others
 i=0
@@ -35,5 +35,5 @@
 
 AT_SETUP([Unselection - atom with specific id with Redo])
-AT_KEYWORDS([unselection,id,atom])
+AT_KEYWORDS([unselection,id,atom,unselect-atom-by-id,redo])
 # go through all possible ids (0-7) and remove others
 i=0
Index: tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid-with-defaults.at
===================================================================
--- tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid-with-defaults.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid-with-defaults.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Selection - All atoms inside cuboid with defaults])
-AT_KEYWORDS([selection,cuboid])
+AT_KEYWORDS([selection,cuboid,select-atoms-inside-cuboid])
 
 file=allatomsoutsidecuboid.xyz
@@ -24,5 +24,5 @@
 
 AT_SETUP([Selection - All atoms inside cuboid with defaults with Undo])
-AT_KEYWORDS([selection,cuboid])
+AT_KEYWORDS([selection,cuboid,select-atoms-inside-cuboid,undo])
 
 file=allatomsoutsidecuboid.xyz
@@ -36,5 +36,5 @@
 
 AT_SETUP([Selection - All atoms inside cuboid with defaults with Redo])
-AT_KEYWORDS([selection,cuboid])
+AT_KEYWORDS([selection,cuboid,select-atoms-inside-cuboid,redo])
 
 file=allatomsoutsidecuboid.xyz
Index: tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid.at
===================================================================
--- tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -2,5 +2,5 @@
 
 AT_SETUP([Selection - All atoms inside cuboid])
-AT_KEYWORDS([selection,cuboid])
+AT_KEYWORDS([selection,cuboid,select-atoms-inside-cuboid])
 
 file=allatomsoutsidecuboid.xyz
@@ -23,5 +23,5 @@
 
 AT_SETUP([Selection - All atoms inside cuboid with Undo])
-AT_KEYWORDS([selection,cuboid])
+AT_KEYWORDS([selection,cuboid,select-atoms-inside-cuboid,undo])
 
 file=allatomsoutsidecuboid.xyz
@@ -35,5 +35,5 @@
 
 AT_SETUP([Selection - All atoms inside cuboid with Redo])
-AT_KEYWORDS([selection,cuboid])
+AT_KEYWORDS([selection,cuboid,select-atoms-inside-cuboid,redo])
 
 file=allatomsoutsidecuboid.xyz
Index: tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at
===================================================================
--- tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - All atoms inside cuboid])
-AT_KEYWORDS([unselection,cuboid])
+AT_KEYWORDS([unselection,cuboid,unselect-atoms-inside-cuboid])
 
 file=allatomsinsidecuboid.xyz
@@ -24,5 +24,5 @@
 
 AT_SETUP([Unselection - All atoms inside cuboid with Undo])
-AT_KEYWORDS([unselection,cuboid])
+AT_KEYWORDS([unselection,cuboid,unselect-atoms-inside-cuboid,undo])
 
 file=allatomsinsidecuboid.xyz
@@ -36,5 +36,5 @@
 
 AT_SETUP([Unselection - All atoms inside cuboid with Redo])
-AT_KEYWORDS([unselection,cuboid])
+AT_KEYWORDS([unselection,cuboid,unselect-atoms-inside-cuboid,redo])
 
 file=allatomsinsidecuboid.xyz
Index: tests/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-sphere.at
===================================================================
--- tests/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-sphere.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-sphere.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -2,5 +2,5 @@
 
 AT_SETUP([Selection - All atoms inside sphere])
-AT_KEYWORDS([selection,sphere])
+AT_KEYWORDS([selection,sphere,select-atoms-inside-sphere])
 
 file=allatomsoutsidesphere.xyz
@@ -23,5 +23,5 @@
 
 AT_SETUP([Selection - All atoms inside sphere with Undo])
-AT_KEYWORDS([selection,sphere])
+AT_KEYWORDS([selection,sphere,select-atoms-inside-sphere,undo])
 
 file=allatomsoutsidesphere.xyz
@@ -35,5 +35,5 @@
 
 AT_SETUP([Selection - All atoms inside sphere with Redo])
-AT_KEYWORDS([selection,sphere])
+AT_KEYWORDS([selection,sphere,select-atoms-inside-sphere,redo])
 
 file=allatomsoutsidesphere.xyz
Index: tests/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-sphere.at
===================================================================
--- tests/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-sphere.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-sphere.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -3,5 +3,5 @@
 
 AT_SETUP([Unselection - All atoms inside sphere])
-AT_KEYWORDS([unselection,sphere])
+AT_KEYWORDS([unselection,sphere,unselect-atoms-inside-sphere])
 
 file=allatomsinsidesphere.xyz
@@ -24,5 +24,5 @@
 
 AT_SETUP([Unselection - All atoms inside sphere with Undo])
-AT_KEYWORDS([unselection,sphere])
+AT_KEYWORDS([unselection,sphere,unselect-atoms-inside-sphere,undo])
 
 file=allatomsinsidesphere.xyz
@@ -36,5 +36,5 @@
 
 AT_SETUP([Unselection - All atoms inside sphere with Redo])
-AT_KEYWORDS([unselection,sphere])
+AT_KEYWORDS([unselection,sphere,unselect-atoms-inside-sphere,redo])
 
 file=allatomsinsidesphere.xyz
Index: tests/regression/Selection/Atoms/ClearAtoms/testsuite-selection-clear-atoms.at
===================================================================
--- tests/regression/Selection/Atoms/ClearAtoms/testsuite-selection-clear-atoms.at	(revision 43a0aebcbd9fa87981dbf5339765fb0804d755c8)
+++ tests/regression/Selection/Atoms/ClearAtoms/testsuite-selection-clear-atoms.at	(revision 718542b98ffda42460e79001a427f156caa6bcc9)
@@ -2,5 +2,5 @@
 
 AT_SETUP([Unselection - clear atom selection])
-AT_KEYWORDS([selection,clear])
+AT_KEYWORDS([selection,clear,unselect-all-atoms])
 
 file=box.xyz
@@ -14,5 +14,5 @@
 
 AT_SETUP([Unselection - clear atom selection with Undo])
-AT_KEYWORDS([selection,clear])
+AT_KEYWORDS([selection,clear,unselect-all-atoms,undo])
 
 file=id0_missing.xyz
@@ -26,5 +26,5 @@
 
 AT_SETUP([Unselection - clear atom selection with Redo])
-AT_KEYWORDS([selection,clear])
+AT_KEYWORDS([selection,clear,unselect-all-atoms,redo])
 
 file=box.xyz
